Foxit PDF RDK

Public Member Functions | Public Attributes | Static Public Attributes | List of all members
FloatingInfo Class Reference
Inheritance diagram for FloatingInfo:

## Public Member Functions
| constructor ()
| Constructor.
| constructor (window_pos, relative_target, resize_type, has_close, has_title, title, off_screen, rect)
| Constructor, with parameters. More...
| Set (window_pos, relative_target, resize_type, has_close, has_title, title, off_screen, rect)
| Set values. More...
Public Member Functions inherited from NativeObjectWrapper
| constructor (r)
| GetPointerAsNumber ()

## Public Attributes
| e_OffScreenAllow
| Enumeration for the action can be taken if the floating window is positioned totally or partially offscreen. More...
| e_OffScreenCancel
| Off screen action: cancel playing the media clip.
| e_OffScreenForceOnScreen
| Off screen action: move or resize the window so that it is on-screen.
| e_RelativeTargetAppWindow
| Relative type: align the floating window relative to the application window.
| e_RelativeTargetDesktop
| Relative type: align the floating window relative to the full virtual desktop.
| e_RelativeTargetMonitor
| Relative type: align the floating window relative to the (selected) monitor display screen.
| e_RelativeTargetPageWindow
| Enumeration for the values used to set relative position of floating window. More...
| e_ResizeTypeKeepRatio
| Resize type: may be resized only if the aspect ratio is preserved.
| e_ResizeTypeNo
| Enumeration for the resize type, which specifies whether a floating window may be resized by the user. More...
| e_ResizeTypeYes
| Resize type: may be resized without preserving the aspect ratio.
| has_close
| true means the floating window should have a close window control button, while false means not.
| has_title
| true means a title should be displayed in the title bar, while false means not.
| off_screen
| Specify what action should be taken if the floating window is positioned totally or partially offscreen. Please refer to values starting from FloatingInfo.e_OffScreenAllow and this should be one of these values.
| rect
| A rectangle specifies the location and size of the floating window in device coordinate system.
| relative_target
| Specify the target to which the floating window is to be aligned. Please refer to values starting from FloatingInfo.e_RelativeTargetPageWindow and this should be one of these values.
| resize_type
| Specify whether the floating window may be resized by the user. Please refer to values starting from FloatingInfo.e_ResizeTypeNo and this should be one of these values.
| title
| This title to be displayed if has_title is true.
| window_pos
| Specify how the floating window is to be positioned relative to the window specified by the relative_target . Please refer to values starting from FloatingInfo.e_WindowPositionTopLeft and this should be one of these values.

## Static Public Attributes
static | e_WindowPositionBottomCenter
| Window position: at the bottom center.
static | e_WindowPositionBottomLeft
| Window position: at the bottom left corner.
static | e_WindowPositionBottomRight
| Window position: at the bottom right corner.
static | e_WindowPositionCenter
| Window position: at the center.
static | e_WindowPositionCenterLeft
| Window position: at the center left.
static | e_WindowPositionCenterRight
| Window position: at the center right.
static | e_WindowPositionTopCenter
| Window position: at the top center.
static | e_WindowPositionTopLeft
| Enumeration for the window position used for media player. More...
static | e_WindowPositionTopRight
| Window position: at the top right corner.

## Detailed Description

This class represents floating imformation.

Examples
  /Users/ec2-user/gitlab-runner/builds/E-xKdhDo/0/foxit/sdk/mobile/gsdk-doc-auto-build/harmony_nodejs/input/Index.js.

## Member Function Documentation

## ◆ constructor()

FloatingInfo.constructor | ( | window_pos | ,
|  | relative_target | ,
|  | resize_type | ,
|  | has_close | ,
|  | has_title | ,
|  | title | ,
|  | off_screen | ,
|  | rect |
| ) |  |

Constructor, with parameters.

Parameters

  [in] | window_pos | Specify how the floating window is to be positioned relative to the window specified by the relative_target .
  [in] | relative_target | Specify the window to which the floating window is to be aligned.
  [in] | resize_type | Specify whether the floating window may be resized by the user.
  [in] | has_close | true means the floating window should have a close window control button, while false means not.
  [in] | has_title | true means a title should be displayed in the title bar, while false means not.
  [in] | title | This title to be displayed if has_title is true.
  [in] | off_screen | Specify what action should be taken if the floating window is positioned totally or partially offscreen.
  [in] | rect | A rectangle specifies the location and size of the floating window in device coordinate system.

## ◆ Set()

FloatingInfo.Set | ( | window_pos | ,
|  | relative_target | ,
|  | resize_type | ,
|  | has_close | ,
|  | has_title | ,
|  | title | ,
|  | off_screen | ,
|  | rect |
| ) |  |

Set values.

Parameters

  [in] | window_pos | Specify how the floating window is to be positioned relative to the window specified by the relative_target .
  [in] | relative_target | Specify the window to which the floating window is to be aligned.
  [in] | resize_type | Specify whether the floating window may be resized by the user.
  [in] | has_close | true means the floating window should have a close window control button, while false means not.
  [in] | has_title | true means a title should be displayed in the title bar, while false means not.
  [in] | title | This title to be displayed if has_title is true.
  [in] | off_screen | Specify what action should be taken if the floating window is positioned totally or partially offscreen.
  [in] | rect | A rectangle specifies the location and size of the floating window in device coordinate system.

Returns
  None.

Examples
  /Users/ec2-user/gitlab-runner/builds/E-xKdhDo/0/foxit/sdk/mobile/gsdk-doc-auto-build/harmony_nodejs/input/Index.js.

## Member Data Documentation

## ◆ e_OffScreenAllow

FloatingInfo.e_OffScreenAllow

Enumeration for the action can be taken if the floating window is positioned totally or partially offscreen.

Values of this enumeration should be used alone.

Off screen action: take no action.

Examples
  /Users/ec2-user/gitlab-runner/builds/E-xKdhDo/0/foxit/sdk/mobile/gsdk-doc-auto-build/harmony_nodejs/input/Index.js.

## ◆ e_RelativeTargetPageWindow

FloatingInfo.e_RelativeTargetPageWindow

Enumeration for the values used to set relative position of floating window.

Values of this enumeration should be used alone.

Relative type: align the floating window relative to the document (page) window.

Examples
  /Users/ec2-user/gitlab-runner/builds/E-xKdhDo/0/foxit/sdk/mobile/gsdk-doc-auto-build/harmony_nodejs/input/Index.js.

## ◆ e_ResizeTypeNo

FloatingInfo.e_ResizeTypeNo

Enumeration for the resize type, which specifies whether a floating window may be resized by the user.

Values of this enumeration should be used alone.

Resize type: may not be resized.

Examples
  /Users/ec2-user/gitlab-runner/builds/E-xKdhDo/0/foxit/sdk/mobile/gsdk-doc-auto-build/harmony_nodejs/input/Index.js.

## ◆ e_WindowPositionTopLeft

FloatingInfo.e_WindowPositionTopLeft
| static

Enumeration for the window position used for media player.

Values of this enumeration should be used alone.

Window position: at the top left corner.

Examples
  /Users/ec2-user/gitlab-runner/builds/E-xKdhDo/0/foxit/sdk/mobile/gsdk-doc-auto-build/harmony_nodejs/input/Index.js.